# Class ProcNode

Class ProcNode

Key abstraction of the Render Engine: A Data processing Node

Declaration :

- C++ : class ProcNode
- Java : public interface ProcNode

Directly inherited by : ExitNode Link Source Trafo

Artifact : procnode

Stereotype: interface

Relation datasrc (<unidirectional association>)

The predecessor in a processing pipeline, i.e. a source to get data to be processed

Declaration :

- Uml : # datasrc : ProcNode
- C++ : protected: ProcNode * datasrc

Relation params (<directional composition>)

Declaration :

- Uml : # params : Parameter, multiplicity : 1..*
- C++ : protected: vector<Parameter> params

Stereotype: vector

Relation predecessors (<directional composition>)

Declaration :

- Uml : # predecessors : WiringDescriptor, multiplicity : *
- C++ : protected: WiringDescriptor predecessors

Stereotype: array

Operation pull

Declaration :

- Uml : + pull() :
- C++ : public: pull ()

Operation process

Declaration :

- Uml : + process() :
- C++ : public: process ()

Relation <unidirectional association>

Declaration :

- Uml : # : WiringDescriptor
- C++ : protected: WiringDescriptor*

All public operations : process , pull